SQLGrammarException (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.exception
Class SQLGrammarException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hibernate.HibernateException
                      org.hibernate.JDBCException
                          org.hibernate.exception.SQLGrammarException

All Implemented Interfaces:
  Serializable

    public class SQLGrammarException

extends JDBCException

Implementation of JDBCException indicating that the SQL sent to the database server was invalid (syntax error, invalid object references, etc).

See Also:
  Serialized Form

Constructor Summary
`SQLGrammarException(String message, SQLException root)` Constructor for JDBCException.
`SQLGrammarException(String message, SQLException root, String sql)` Constructor for JDBCException.

Method Summary

Methods inherited from class org.hibernate.JDBCException
`getErrorCode, getSQL, getSQLException, getSQLState`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SQLGrammarException

    public SQLGrammarException(String message,
                               SQLException root)

  Constructor for JDBCException.

  Parameters:
    `root` - The underlying exception.

### SQLGrammarException

    public SQLGrammarException(String message,
                               SQLException root,
                               String sql)

  Constructor for JDBCException.

  Parameters:
    `message` - Optional message.
    `root` - The underlying exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.